aboutsummaryrefslogtreecommitdiffstats
path: root/libraries/vendors/compile-xilinx-ise.sh
diff options
context:
space:
mode:
authorPatrick Lehmann <Patrick.Lehmann@plc2.de>2021-01-16 01:17:29 +0100
committertgingold <tgingold@users.noreply.github.com>2021-01-16 11:19:26 +0100
commitc0f0539c991309d6acd7eb7b9bb6a9fb839fd3de (patch)
tree7f63e7ccce7eed49732e09b10f00fc4c43072303 /libraries/vendors/compile-xilinx-ise.sh
parentbc11df10c58402e60df792bc2d495e6d6a62a479 (diff)
downloadghdl-c0f0539c991309d6acd7eb7b9bb6a9fb839fd3de.tar.gz
ghdl-c0f0539c991309d6acd7eb7b9bb6a9fb839fd3de.tar.bz2
ghdl-c0f0539c991309d6acd7eb7b9bb6a9fb839fd3de.zip
Another round of improvements.
Diffstat (limited to 'libraries/vendors/compile-xilinx-ise.sh')
-rwxr-xr-xlibraries/vendors/compile-xilinx-ise.sh81
1 files changed, 42 insertions, 39 deletions
diff --git a/libraries/vendors/compile-xilinx-ise.sh b/libraries/vendors/compile-xilinx-ise.sh
index 3aabca7ba..2d62ea8ba 100755
--- a/libraries/vendors/compile-xilinx-ise.sh
+++ b/libraries/vendors/compile-xilinx-ise.sh
@@ -54,7 +54,7 @@ COMPILE_CORELIB=0
COMPILE_SECUREIP=0
VERBOSE=0
DEBUG=0
-FILTERING=0 # TODO: 1
+FILTERING=1
SKIP_LARGE_FILES=0
SUPPRESS_WARNINGS=0
CONTINUE_ON_ERROR=1
@@ -123,11 +123,11 @@ while [[ $# > 0 ]]; do
GHDL="$2" # overwrite a potentially existing GHDL environment variable
shift # skip argument
;;
- --src)
+ --source)
SrcDir="$2"
shift # skip argument
;;
- --out)
+ --output)
DestDir="$2"
shift # skip argument
;;
@@ -157,33 +157,33 @@ if [[ $COMMAND -le 1 ]]; then
echo " compile-xilinx-ise.sh <common command>|<library> [<options>] [<adv. options>]"
echo ""
echo "Common commands:"
- echo " -h --help Print this help page"
- echo " -c --clean Remove all generated files"
+ echo " -h --help Print this help page"
+ echo " -c --clean Remove all generated files"
echo ""
echo "Libraries:"
- echo " -a --all Compile all Xilinx simulation libraries."
- echo " --unisim Compile the unisim library."
- echo " --unimacro Compile the unimacro library."
- echo " --simprim Compile the simprim library."
- echo " --corelib Compile the corelib library."
- echo " --with-secureip Compile the secureip library."
+ echo " -a --all Compile all Xilinx simulation libraries."
+ echo " --unisim Compile the unisim library."
+ echo " --unimacro Compile the unimacro library."
+ echo " --simprim Compile the simprim library."
+ echo " --corelib Compile the corelib library."
+ echo " --with-secureip Compile the secureip library."
echo ""
echo "Library compile options:"
- echo " --vhdl93 Compile the libraries with VHDL-93."
- echo " --vhdl2008 Compile the libraries with VHDL-2008."
- echo " -S --skip-largefiles Don't compile large files. Exclude *HSSI* and *HIP* files."
- echo " -H --halt-on-error Halt on error(s)."
+ echo " --vhdl93 Compile the libraries with VHDL-93."
+ echo " --vhdl2008 Compile the libraries with VHDL-2008."
+ echo " -S --skip-largefiles Don't compile large files."
+ echo " -H --halt-on-error Halt on error(s)."
echo ""
echo "Advanced options:"
- echo " --ghdl <GHDL binary> Path to GHDL's executable, e.g. /usr/local/bin/ghdl"
- echo " --out <dir name> Name of the output directory, e.g. uvvm_util"
- echo " --src <Path to UVVM> Path to the sources."
+ echo " --ghdl <GHDL binary> Path to GHDL's executable, e.g. /usr/local/bin/ghdl"
+ echo " --output <dir name> Name of the output directory, e.g. ise"
+ echo " --source <Path to ISE> Path to the sources."
echo ""
echo "Verbosity:"
- echo " -v --verbose Print verbose messages."
- echo " -d --debug Print debug messages."
-# echo " -n --no-filter Disable output filtering scripts."
- echo " -N --no-warnings Suppress all warnings. Show only error messages."
+ echo " -v --verbose Print verbose messages."
+ echo " -d --debug Print debug messages."
+# echo " -n --no-filter Disable output filtering scripts."
+ echo " -N --no-warnings Suppress all warnings. Show only error messages."
echo ""
exit $COMMAND
fi
@@ -226,6 +226,11 @@ if [[ $? -ne 0 ]]; then echo 1>&2 -e "${COLORED_ERROR} While loading configurati
source $ScriptDir/shared.sh
if [[ $? -ne 0 ]]; then echo 1>&2 -e "${COLORED_ERROR} While loading further procedures.${ANSI_NOCOLOR}"; exit 1; fi
+# <= $VHDLVersion
+# <= $VHDLStandard
+# <= $VHDLFlavor
+GHDLSetup $VHDLStandard
+
# -> $SourceDirectories
# -> $DestinationDirectories
# -> $SrcDir
@@ -241,29 +246,27 @@ CreateDestinationDirectory
cd $DestinationDirectory
-# -> $SUPPRESS_WARNINGS
-# <= $GRC_COMMAND
-SetupGRCat
-
-
-# -> $VHDLStandard
-# <= $VHDLVersion
-# <= $VHDLStandard
-# <= $VHDLFlavor
-GHDLSetup
-
# Extend global GHDL Options
Analyze_Parameters+=(
-fexplicit
- --no-vital-checks
-Wbinding
- -Wno-hide
- -Wno-others
- -Wno-parenthesis
- -Wno-library
- -Wno-pure
+)
+if [[ $DEBUG -eq 0 ]]; then
+ Analyze_Parameters+=(
+ -Wno-hide
+ )
+fi
+if [[ ! (VERBOSE -eq 1) && ($DEBUG -eq 1) ]]; then
+ Analyze_Parameters+=(
+ -Wno-others
+ -Wno-static
+ )
+fi
+Analyze_Parameters+=(
--ieee=$VHDLFlavor
+ --no-vital-checks
--std=$VHDLStandard
+ -frelaxed
-P$DestinationDirectory
)